VOS_SETADDRS(1)

NAME
vos_setaddrs - Set new addresses for a file server's entry in the VLDB

SYNOPSIS
vos setaddrs B<-uuid> <I<UUID of server>>
    B<-host> <I<IP address>>+
    [B<-cell> <I<cell name>>] [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve] [-help]

vos seta B<-u> <I<UUID of server>>
    B<-ho> <I<IP address>>+
    [B<-c> <I<cell name>>]
    [-noa] [-l] [-v] [-e] [-nor] [-h]

DESCRIPTION
The vos setaddrs command sets the IP addresses for a server entry in the Volume Location Database (VLDB). Specify one or several IP addresses. All existing addresses in the VLDB server entry are replaced with the new addresses given on the command line.

To find the UUID for a server entry, use the "vos listaddrs -printuuid" command to display all VLDB server entries with their UUIDs.

CAUTIONS
Normally, the best way to change the registered addresses for a server entry is to restart the File Server process after changing the network configuration for that server and possibly the NetInfo and NetRestrict files for that server. See NetInfo(5) and NetRestrict(5) for more information about configuring the File Server to register the correct set of addresses. This command can be used to change the registered addresses without restarting the File Server, but the next time the File Server is restarted, it will register all of its known addresses again. You should therefore always ensure that the File Server configuration is correct for whenever it is next restarted before using this command.

Setting the wrong addresses will make the volumes on that file server unreachable from AFS clients.

This command was introduced in OpenAFS 1.5.74, but can be used with any version of the Volume Location Server.

OPTIONS

-uuid <UUID of server>
    The unique ID as provided by the "vos listaddrs -printuuid" command.

-host <IP address>+
    The new list of IP addresses for the File Server.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. Lets you work with IP addresses for input, without the DNS translation between the input and the registration of the IP address in the VLDB.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command sets addresses 192.12.107.214 and 10.47.11.17 for the UUID 008f157e-bad0-157c-0ffee-357c4d1faa77

   % vos setaddrs -uuid 008f157e-bad0-157c-0ffee-357c4d1faa77 \
       -host 192.12.107.214 -host 10.47.11.17 -verbose
   vos: Changed UUID with addresses:
   UUID: 008f157e-bad0-157c-0ffee-357c4d1faa77
   192.12.107.214
   10.47.11.17

PRIVILEGE REQUIRED
Issuer must be listed in the /usr/local/etc/openafs/server/UserList file on each database server machine.

SEE ALSO
CellServDB(5), NetInfo(5), NetRestrict(5), UserList(5), sysid(5), fileserver(8), vos(1), vos_listaddrs(1)

COPYRIGHT
KTH 2010. All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0.